attrib -r %WINDIR%\system32\drivers\etc\hosts
@ECHO OFF
IF "%OS%"=="Windows_NT" (
SET HOSTFILE=%windir%\system32\drivers\etc\hosts
) ELSE (
SET HOSTFILE=%windir%\hosts
)

ECHO #>> %HOSTFILE%
ECHO # common entries used by most games>> %HOSTFILE%
ECHO 65.112.87.186		key.gamespy.com>> %HOSTFILE%
ECHO 63.239.170.9		natneg1.gamespy.com		#firewall nat negotation server 1>> %HOSTFILE%
ECHO 63.239.170.10		natneg2.gamespy.com		#firewall nat negotation server 2>> %HOSTFILE%
ECHO 63.144.111.199		natneg3.gamespy.com		#firewall nat negotation server 3 (rarely used)>> %HOSTFILE%
ECHO 65.112.87.188		gamestats.gamespy.com		#statistics, required by some games>> %HOSTFILE%
ECHO 63.239.170.53		motd.gamespy.com		#message of the day placeholder>> %HOSTFILE%
ECHO 65.112.87.187		chat.gamespynetwork.com		#chat/lobby, required by some games>> %HOSTFILE%
ECHO 65.112.87.187		peerchat.gamespy.com		#chat/lobby, required by some games>> %HOSTFILE%
ECHO 65.112.87.186		gpcm.gamespy.com		#gamespy login session tracking>> %HOSTFILE%
ECHO 65.112.87.186		gpsp.gamespy.com		#gamespy account validation>> %HOSTFILE%
ECHO 65.112.87.186		master.gamespy.com		#older games server list>> %HOSTFILE%
ECHO 65.112.87.186		master0.gamespy.com		#older games server list>> %HOSTFILE%

ECHO #>> %HOSTFILE%
ECHO # armed assault>> %HOSTFILE%
ECHO 65.112.87.186		armedass.available.gamespy.com		#check>> %HOSTFILE%
ECHO 65.112.87.186		armedass.master.gamespy.com		#heartbeats>> %HOSTFILE%
ECHO 65.112.87.186		armedass.ms12.gamespy.com		#server list>> %HOSTFILE%

ECHO #>> %HOSTFILE%
ECHO # battlefield 2>> %HOSTFILE%
ECHO 65.112.87.186		battlefield2.available.gamespy.com	#check>> %HOSTFILE%
ECHO 65.112.87.186		battlefield2.master.gamespy.com		#heartbeats>> %HOSTFILE%
ECHO 65.112.87.186		battlefield2.ms14.gamespy.com		#server list>> %HOSTFILE%
ECHO 63.239.170.53		bf2web.gamespy.com			#login locks up without this>> %HOSTFILE%

ECHO #>> %HOSTFILE%
ECHO # battlefield vietnam>> %HOSTFILE%
ECHO 65.112.87.186		bfvietnam.available.gamespy.com		#check>> %HOSTFILE%
ECHO 65.112.87.186		bfvietnam.master.gamespy.com		#heartbeats>> %HOSTFILE%
ECHO 65.112.87.186		bfvietnam.ms0.gamespy.com		#server list>> %HOSTFILE%

ECHO #>> %HOSTFILE%
ECHO # borderlands>> %HOSTFILE%
ECHO 65.112.87.186		bderlandspc.available.gamespy.com	#check>> %HOSTFILE%
ECHO 65.112.87.186		bderlandspc.master.gamespy.com		#heartbeats>> %HOSTFILE%
ECHO 65.112.87.186		bderlandspc.ms18.gamespy.com		#server list>> %HOSTFILE%

ECHO #>> %HOSTFILE%
ECHO # contract j.a.c.k.>> %HOSTFILE%
ECHO 65.112.87.186		contractjack.available.gamespy.com	#check>> %HOSTFILE%
ECHO 65.112.87.186		contractjack.master.gamespy.com		#heartbeats>> %HOSTFILE%
ECHO 65.112.87.186		contractjack.ms11.gamespy.com		#server list>> %HOSTFILE%

ECHO #>> %HOSTFILE%
ECHO # crysis>> %HOSTFILE%
ECHO 65.112.87.186		crysis.available.gamespy.com		#check>> %HOSTFILE%
ECHO 65.112.87.186		crysis.master.gamespy.com		#heartbeats>> %HOSTFILE%
ECHO 65.112.87.186		crysis.ms5.gamespy.com			#server list>> %HOSTFILE%

ECHO #>> %HOSTFILE%
ECHO # crysiswars>> %HOSTFILE%
ECHO 65.112.87.186		crysiswars.available.gamespy.com	#check>> %HOSTFILE%
ECHO 65.112.87.186		crysiswars.master.gamespy.com		#heartbeats>> %HOSTFILE%
ECHO 65.112.87.186		crysiswars.ms2.gamespy.com		#server list>> %HOSTFILE%

ECHO #>> %HOSTFILE%
ECHO # hidden and dangerous 2>> %HOSTFILE%
ECHO 65.112.87.186		hd2.available.gamespy.com	#check>> %HOSTFILE%
ECHO 65.112.87.186		hd2.master.gamespy.com		#heartbeats>> %HOSTFILE%
ECHO 65.112.87.186		hd2.ms14.gamespy.com		#server list>> %HOSTFILE%

ECHO #>> %HOSTFILE%
ECHO # gotcha! paintball>> %HOSTFILE%
ECHO 65.112.87.186		gotcha.available.gamespy.com		#check>> %HOSTFILE%
ECHO 65.112.87.186		gotcha.master.gamespy.com		#heartbeats>> %HOSTFILE%
ECHO 65.112.87.186		gotcha.ms10.gamespy.com			#server list>> %HOSTFILE%
ECHO #>> %HOSTFILE%
ECHO 65.112.87.186		nwn.available.gamespy.com	#neverwinter nights check>> %HOSTFILE%
ECHO 65.112.87.186		nwn.master.gamespy.com		#neverwinter nights heartbeats>> %HOSTFILE%

ECHO #>> %HOSTFILE%
ECHO # painkiller>> %HOSTFILE%
ECHO 65.112.87.186		painkiller.available.gamespy.com	#check>> %HOSTFILE%
ECHO 65.112.87.186		painkiller.master.gamespy.com		#heartbeats>> %HOSTFILE%
ECHO 65.112.87.186		painkiller.ms15.gamespy.com		#server list>> %HOSTFILE%

ECHO #>> %HOSTFILE%
ECHO # star wars battlefront 2>> %HOSTFILE%
ECHO 65.112.87.186		swbfront2pc.available.gamespy.com	#check>> %HOSTFILE%
ECHO 65.112.87.186		swbfront2pc.ms6.gamespy.com		#server list>> %HOSTFILE%
ECHO 65.112.87.186		swbfront2pc.master.gamespy.com		#heartbeats>> %HOSTFILE%

ECHO #>> %HOSTFILE%
ECHO # toca race driver 3>> %HOSTFILE%
ECHO 65.112.87.186		racedriver3pc.available.gamespy.com	#check>> %HOSTFILE%
ECHO 65.112.87.186		racedriver3pc.master.gamespy.com	#heartbeats>> %HOSTFILE%
ECHO 65.112.87.186		racedriver3pc.ms17.gamespy.com		#server list>> %HOSTFILE%

ECHO #>> %HOSTFILE%
ECHO # titan quest>> %HOSTFILE%
ECHO 65.112.87.186		titanquest.available.gamespy.com	#check>> %HOSTFILE%
ECHO 65.112.87.186		titanquest.master.gamespy.com		#heartbeats>> %HOSTFILE%
ECHO 65.112.87.186		titanquest.ms18.gamespy.com		#server list>> %HOSTFILE%

ECHO #>> %HOSTFILE%
ECHO # tribes vengeance>> %HOSTFILE%
ECHO # also requires motd.gamespy.com and gamestats.gamespy.com>> %HOSTFILE%
ECHO 65.112.87.186		tribesv.available.gamespy.com		#check>> %HOSTFILE%
ECHO 65.112.87.186		tribesv.master.gamespy.com		#heartbeats>> %HOSTFILE%
ECHO 65.112.87.186		tribesv.ms15.gamespy.com		#server list>> %HOSTFILE%

ECHO #>> %HOSTFILE%
ECHO # tron 2.0>> %HOSTFILE%
ECHO 65.112.87.186		tron20.master.gamespy.com		#heartbeats>> %HOSTFILE%
ECHO 65.112.87.186		tron20.ms9.gamespy.com			#server list>> %HOSTFILE%

ECHO #>> %HOSTFILE%
ECHO # vietcong 2>> %HOSTFILE%
ECHO 65.112.87.186		vietcong2.available.gamespy.com		#check>> %HOSTFILE%
ECHO 65.112.87.186		vietcong2.master.gamespy.com		#heartbeats>> %HOSTFILE%
ECHO 65.112.87.186		vietcong2.ms1.gamespy.com		#server list>> %HOSTFILE%

ECHO #>> %HOSTFILE%
ECHO #rtcw>> %HOSTFILE%
ECHO 65.112.87.186		wolfmaster.idsoftware.com		#heartbeats and server list
>> %HOSTFILE%

attrib +r %WINDIR%\system32\drivers\etc\hosts
IPCONFIG -flushdns
CLS
ECHO all games sites have been added to your hosts file
ECHO.
ECHO Provided by: T3CHNO
ECHO.
PAUSE